<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Text on Image</title>
    <style>
        img {
            position: absolute;
            z-index: -1;
        }
        p {
            color:#fff;
            padding: 2em;
            font-family: sans-serif;
            font-size: 2rem;
            font-weight: bold;
        }
    </style>
</head>
<body>
    <h1>Text on Image</h1>
    <img src="http://lorempixel.com/400/150/transport/" />
    <p> This looks cool! </p>
</body>
</html>